<?xml version = "1.0" encoding = "utf-8" ?>
<problem
	version = "1.0"
	id = "qual.2025.main.ellipsis-in-rectangle"
>
	<judging>
		<script type = "%icpc">
			<testset
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
				test-count = "26"
			>
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
		<script type = "%ioi">
			<testset
				name = "preliminary"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test comment = "manual cmd: ''" />
				<test comment = "manual cmd: ''" />
			</testset>
			<testset
				name = "main"
				feedback = "outcome"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=1 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=2 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=3 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=4 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=5 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=6 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=7 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=8 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=9 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=10 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=11 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=12 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=13 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=14 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=15 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=16 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=17 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=18 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=19 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "generated cmd: 'ellipsis-in-rectangle_generate_mi -type=random -test_index=20 -MIN_X=-1000 -MIN_Y=-1000 -MAX_X=1000 -MAX_Y=1000'" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
	</judging>
</problem>
